=== debian/changelog ===
jgmenu (2.2.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Simplify debian/rules.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Apr 2019 17:09:23 -0700

jgmenu (2.2.1+bl8-1) jessie-backports; urgency=medium

  * New upstream release

 -- Johan Malm <jgm323@gmail.com>  Fri, 15 Mar 2019 21:10:09 +0000
