=== debian/control ===
Source: jgmenu
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Johan Malm <jgm323@gmail.com>
Section: x11
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
               libx11-dev,
               libxrandr-dev,
               libcairo2-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libxml2-dev,
               libglib2.0-dev,
               libmenu-cache-dev,
               pkg-config

Package: jgmenu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3
Description: simple X11 menu intended to be used with tint2 and openbox
