=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS   = hardening=+all
export DPKG_EXPORT_BUILDFLAGS    = 1
export DH_VERBOSE                = 1

include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- prefix=/usr
