=== debian/changelog ===
jgmenu (4.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #882210)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 28 Feb 2021 21:15:19 +0100
