=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--with-lx \
		--with-xfce4-panel-applet \
		--with-gtktheme

override_dh_auto_build:
	dh_auto_build -- CONTRIB_DIRS="xfce4-panel gtktheme"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr CONTRIB_DIRS="xfce4-panel gtktheme"
