=== debian/changelog ===
jgmenu (4.4.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Oct 2022 18:11:36 -0700

jgmenu (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Enable install lx plugin. (Closes: #983907)
  * Bump Standards Version to 4.6.0.
  * Change depends to python3:any.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 13 Oct 2021 17:27:44 +0200
