=== debian/control ===
Source: jgmenu
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Section: x11
Priority: optional
Standards-Version: 4.6.0
Homepage: https://jgmenu.github.io/
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libmenu-cache-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libx11-dev,
               libxfce4panel-2.0-dev,
               libxml2-dev,
               libxrandr-dev,
               pkg-config
Vcs-Git: https://github.com/mati75/jgmenu.git
Vcs-Browser: https://github.com/mati75/jgmenu
Rules-Requires-Root: no

Package: jgmenu
Architecture: any
Multi-Arch: foreign
Depends: python3:any, ${misc:Depends}, ${shlibs:Depends}
Suggests: lxmenu-data
Description: Simple X11 menu
 A stand-alone, contemporary-looking menu application for Linux and BSD.
 Independent of window manager and panel. Designed for customisation,
 scripting, ricing and tweaking

Package: jgmenu-xfce4-panel-applet
Architecture: any
Multi-Arch: same
Depends: jgmenu (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: xfce4-panel applet for jgmenu
 A stand-alone, contemporary-looking menu application for Linux and BSD.
 Independent of window manager and panel. Designed for customisation,
 scripting, ricing and tweaking
 .
 This package provides xfce4-panel applet for jgmenu
