=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,11 @@
 		--with-gtktheme
 
 override_dh_auto_build:
-	dh_auto_build -- CONTRIB_DIRS="xfce4-panel gtktheme"
+	dh_auto_build -- CONTRIB_DIRS="xfce4-panel gtktheme lx"
 
 override_dh_auto_install:
-	dh_auto_install -- prefix=/usr CONTRIB_DIRS="xfce4-panel gtktheme"
+	dh_auto_install -- prefix=/usr CONTRIB_DIRS="xfce4-panel gtktheme lx"
+
+# No dbgsym package for MX:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
