=== examples/Makefile ===
export ASAN_OPTIONS=detect_leaks=0

all:
	@./ex01.sh
	@./ex02.sh
	@./ex03.sh
	@./ex04.sh
	@./ex05.sh
	@./ex06.sh
	@./ex07.sh
	@./ex08.sh
