=== debian/changelog ===
jgmenu (4.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards Version to 4.6.1.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 14 Nov 2022 22:34:28 +0100
