=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,3 @@
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr CONTRIB_DIRS="xfce4-panel gtktheme lx"
-
-# No dbgsym package for MX:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
