=== debian/changelog ===
jgmenu (4.5.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 15 Feb 2025 15:03:55 -0800

jgmenu (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches included upstream.
  * Add libxfce4ui-2-dev to B-D. (Closes: #1091058)
  * Bump Standards Version to 4.7.0.
  * Switch B-D pkg-config → pkgconf

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 03 Jan 2025 20:36:14 +0100

jgmenu (4.4.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Mateusz Łukasik ]
  * Backport upstream changes related to fix working with xfce4-panel.
    (Closes: #1063667)
  * Bump Standards Version to 4.6.2.
  * Add python3-gi, x11-xserver-utils to depends.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 16 Feb 2024 20:37:07 +0100
