=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,8 @@
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr CONTRIB_DIRS="xfce4-panel gtktheme lx"
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
